ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

ByteCodeItbls

Description

ByteCodeItbls: Generate infotables for interpreter-made bytecodes

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)

newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: DynFlags -> ItblPtr -> Ptr ()

mkITbls :: DynFlags -> [TyCon] -> IO ItblEnv

peekItbl :: DynFlags -> Ptr StgInfoTable -> IO StgInfoTable

data StgInfoTable

Constructors

StgInfoTable |

Fields

entry :: Maybe EntryFunPtr
ptrs :: HalfWord
nptrs :: HalfWord
tipe :: HalfWord
srtlen :: HalfWord
code :: Maybe ItblCodes